/**
 * @author: dadeh kavi rezvan co.
 * @design: http://dkr.co.ir
 */
.dataTables_processing{
	z-index: 10;
}

.required > label::after,
.required .col-form-label::after {
	content: "*" !important;
	position: relative;
	font-size: inherit;
	color: #f1416c;
	padding-right: .25rem;
	font-weight: 700;
}

.required::after {
	content: none;
	color: transparent;
	padding: 0;
	font-weight: 0;
}

:is(.required) .invalid-feedback{
	display: block;
}

.dataTables_wrapper .category-list .category-item,
.table .category-list .category-item {
	padding: 0 5px;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control::before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control::before {
	left: 5px;
}

.fileuploader {
	background: transparent; 
}
/**
 * Hint
 */
[data-hint]:after {
	font-family: 'Vazir';
}

[class*="hint--14"]::after {
	font-size: 14px;
}

@media (min-width: 576px) {
	.rounded-nav {
		border-radius: 50rem !important;
	}
}

@media (min-width: 576px) {
	.rounded-nav .nav-link {
		border-radius: 50rem !important;
	}
}

.timeline .timeline-action {
	padding: 15px;
}

.timeline .timeline-attachment {
	padding: 15px 0;
}

.status-box .node {
	cursor: pointer;
}

div.widget-liquid-left {
	position: sticky !important;
	position: -webkit-sticky !important;
	top: 60px;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__clear {
	top: 0.7rem;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__choice {
	margin: 0.275rem 0 0 0.375rem;
}

.select2-container--krajee-bs4[dir="rtl"] .select2-selection--multiple .select2-selection__choice__remove {
	margin-top: 4px;
}

.select2-dropdown {
	z-index: 1060;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__choice {
	padding: 0.1rem 0.05rem 0.25rem 0.25rem;
}

.dark-mode .select2-container--bootstrap .select2-results__option[aria-selected="false"] {
	color: #262626;
}

.dark-mode .select2-container--bootstrap .select2-results__option--highlighted[aria-selected] {
	color: #fff;
}

/**
 * File manager
 */
#file-area { 
	z-index: 90;
}

.file-preview-frame {
	float: right;
}

.file-error-message pre,
.file-error-message ul {
	text-align: right;
}

.file .file-info {
	overflow: hidden;
}

#update-form .modal-body .form-body{
	padding-top: 0;
	padding-bottom: 0;
}

.modal-full.modal-dialog {
	max-width:99%;
}
@media (max-width:768px) {
	.modal-full.modal-dialog {
		max-width:auto
	}
}

.symbol-owner {
	border: 2px solid #009ef7 !important;
}

@media print {
	.table.gy-5 td, .table.gy-5 th {
		padding-top: 0.25rem;
		padding-bottom: 0.25rem;
	}
}


blockquote {
	padding:11px 22px;
	margin:0 0 22px;
	font-size:20px;
	border-left:5px solid #eee
}

.api-content .api1 blockquote #classDescription:last-child,
blockquote .api-content .api1 #classDescription:last-child,
blockquote ol:last-child,
blockquote p:last-child,
blockquote ul:last-child {
	margin-bottom:0
}

blockquote .small,
blockquote footer,
blockquote small {
	display:block;
	font-size:80%;
	line-height:1.4;
	color:#777
}
blockquote .small:before,
blockquote footer:before,
blockquote small:before {
	content:"\2014 \00A0"
}

.blockquote-reverse,
blockquote.pull-right {
	padding-right:15px;
	padding-left:0;
	border-right:5px solid #eee;
	border-left:0;
	text-align:right
}

.blockquote-reverse .small:before,
.blockquote-reverse footer:before,
.blockquote-reverse small:before,
blockquote.pull-right .small:before,
blockquote.pull-right footer:before,
blockquote.pull-right small:before {
	content:""
}

.blockquote-reverse .small:after,
.blockquote-reverse footer:after,
.blockquote-reverse small:after,
blockquote.pull-right .small:after,
blockquote.pull-right footer:after,
blockquote.pull-right small:after {
	content:"\00A0 \2014"
}

blockquote.info,
blockquote.note,
blockquote.tip,
blockquote.warn {
	display:block;
	background:#fff;
	font-size:1rem;
	padding-top:15px;
	padding-right:20px;
	padding-bottom:15px;
	padding-left:85px;
	border-radius:6px;
	min-height:5em;
	background-position:20px;
	background-repeat:no-repeat;
	background-size:40px 40px
}

blockquote.tip {
	background-color:#ddf7f2;
	background-image:url(../media/blockquote/ico_tip.svg);
	border-left:4px solid #70c1b3
}

blockquote.note {
	background-color:#fff7e9;
	background-image:url(../media/blockquote/ico_note.svg);
	border-left:4px solid #ffab19
}

blockquote.info {
	background-color:#e3f7ff;
	background-image:url(../media/blockquote/ico_info.svg);
	border-left:4px solid #247ba0
}

blockquote.warn {
	background-color:#fff0f4;
	background-image:url(../media/blockquote/ico_attention.svg);
	border-left:4px solid #ff1654
}

blockquote.note a {
	color: #cc8100;
}

blockquote.note a:hover {
	color: #996100;
}


.datepicker-gregorian .datepicker-year-view .year-item,
.datepicker-gregorian .datepicker-month-view .month-item {
	float: left;
}

